/// <reference types="node" />
import { EventEmitter } from 'events';
import { TunnelOptions } from './types';
declare class Tunnel extends EventEmitter {
    private readonly opts;
    private closed;
    url?: string;
    cachedUrl?: string;
    private tunnelCluster?;
    clientId?: string;
    constructor(opts?: TunnelOptions);
    private _getInfo;
    private _init;
    private _establish;
    open(callback: (err: Error | null) => void): void;
    close(): void;
}
export default Tunnel;
